> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Unmatched Result Test

> Create a Sandbox test run that generates an unmatched lab result via the Junction API.

<Card horizontal icon="person-digging" color="#57164A">
  This feature is in **closed beta**.

  Interested in this feature? Get in touch with your Customer Success Manager.
</Card>

<Note>
  This endpoint is available only in Sandbox and requires unmatched-result testing to be enabled for your team. Every request requires an `X-Idempotency-Key` header.
</Note>


## OpenAPI

````yaml POST /v3/unmatched_result_test
openapi: 3.1.0
info:
  title: Junction API
  description: https://docs.junction.com/
  version: 0.4.638
servers:
  - url: https://api.us.junction.com
    x-fern-server-name: Production
  - url: https://api.eu.junction.com
    x-fern-server-name: ProductionEU
  - url: https://api.sandbox.us.junction.com
    x-fern-server-name: Sandbox
  - url: https://api.sandbox.eu.junction.com
    x-fern-server-name: SandboxEU
security:
  - apiKeyAuth: []
paths:
  /v3/unmatched_result_test:
    post:
      tags:
        - unmatched
      summary: Create Unmatched Result Test
      operationId: create_unmatched_result_test_v3_unmatched_result_test_post
      parameters:
        - name: X-Idempotency-Key
          in: header
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
            title: X-Idempotency-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateUnmatchedResultTestBody'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateUnmatchedResultTestResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateUnmatchedResultTestBody:
      properties:
        case:
          $ref: '#/components/schemas/UnmatchedResultTestCase'
          description: ℹ️ This enum is non-exhaustive.
        order_source:
          $ref: '#/components/schemas/UnmatchedResultTestOrderSource'
          description: ℹ️ This enum is non-exhaustive.
        orders:
          anyOf:
            - additionalProperties:
                type: string
                format: uuid
              type: object
            - type: 'null'
          title: Orders
        result_status:
          $ref: '#/components/schemas/ResultStatus'
          default: final
          description: ℹ️ This enum is non-exhaustive.
        lab_test_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Lab Test Id
        wrong_lab_test_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Wrong Lab Test Id
      additionalProperties: false
      type: object
      required:
        - case
        - order_source
      title: CreateUnmatchedResultTestBody
    CreateUnmatchedResultTestResponse:
      properties:
        run_id:
          type: string
          format: uuid
          title: Run Id
        status:
          $ref: '#/components/schemas/UnmatchedResultTestRunStatus'
          description: ℹ️ This enum is non-exhaustive.
      type: object
      required:
        - run_id
        - status
      title: CreateUnmatchedResultTestResponse
    HTTPValidationError:
      properties:
        detail:
          title: Detail
      type: object
      title: HTTPValidationError
    UnmatchedResultTestCase:
      type: string
      enum:
        - match_completed
        - match_cancelled
        - wrong_collection
        - wrong_lab
        - multiple_demo_match
        - match_sample_id_mismatch_demo
        - match_demo
        - no_match
      title: UnmatchedResultTestCase
      description: ℹ️ This enum is non-exhaustive.
    UnmatchedResultTestOrderSource:
      type: string
      enum:
        - managed
        - provided
      title: UnmatchedResultTestOrderSource
      description: ℹ️ This enum is non-exhaustive.
    ResultStatus:
      type: string
      enum:
        - final
        - partial
      title: ResultStatus
      description: ℹ️ This enum is non-exhaustive.
    UnmatchedResultTestRunStatus:
      type: string
      enum:
        - queued
        - running
        - succeeded
        - failed
      title: UnmatchedResultTestRunStatus
      description: ℹ️ This enum is non-exhaustive.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-vital-api-key
      description: Vital Team API Key

````